// pages/chargemoneyresult/chargemoneyresult.js
let Util = require("../../utils/util");
Page({

  /**
   * 页面的初始数据
   */
  data: {
    timeStamp:null,
    money:null
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var{
      timeStamp,
      money
    }=options;
    var startDate = new Date();
    startDate.setTime(timeStamp*1000);
    //console.log(startDate);
    var timeStamp = startDate.getFullYear()+ '年' +Util.formatNumber(startDate.getMonth() + 1) + '月' + Util.formatNumber(startDate.getDate()) + '日  ' + Util.formatNumber(startDate.getHours()) + ':' + Util.formatNumber(startDate.getMinutes()) + ':' + Util.formatNumber(startDate.getSeconds());
    this.setData({
      timeStamp,
      money
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
  * 生命周期函数--监听页面显示
  */
  onShow: function () {
    let userInfo = wx.getStorageSync('userInfo');
    let isLogin = wx.getStorageSync('isLogin');
    let that = this;
    wx.request({
      url: getApp().globalData.postHeadAgreement + '/restapi/wechat/syncUser',
      data: {
        loginName: userInfo.loginName
      },
      method: 'POST',
      success: function (res) {
        let {
          data
        } = res;
        if (data.code && data.code != 200) {
          wx.removeStorageSync('userInfo');
          wx.removeStorageSync('isLogin');
          let url = '/pages/login/phone_login/phone_login';
          wx.redirectTo({
            url,
          });
        } else {
          that.setData({
            userInfo: data,
            isLogin: true
          });
          wx.setStorageSync('userInfo', data);
          wx.setStorageSync('isLogin', true);
        }
      },
      fail(e) {
        console.log("用户数据同步失败");
      }
    });
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})